#!/usr/bin/env python
import re
def grab_email(files = []):
    found = []
    if files != None:
        mailsrch = re.compile(r'[\w\-][\w\-\.]+@[\w\-][\w\-\.]+[a-zA-Z]{1,4}')
        
        for file in files:            
            for line in open(file,'r'):                
                found.extend(mailsrch.findall(line))    

    u = {}
    for item in found:
        u[item] = 1

    return u.keys()

file=['texto1.txt','texto2.txt','texto3.txt']

devolver=grab_email(file)
print devolver
